<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TerminateCustomerResponse StructType
 * @subpackage Structs
 */
class TerminateCustomerResponse extends AbstractStructBase
{
    /**
     * The TerminateCustomerResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $TerminateCustomerResult;
    /**
     * Constructor method for TerminateCustomerResponse
     * @uses TerminateCustomerResponse::setTerminateCustomerResult()
     * @param bool $terminateCustomerResult
     */
    public function __construct($terminateCustomerResult = null)
    {
        $this
            ->setTerminateCustomerResult($terminateCustomerResult);
    }
    /**
     * Get TerminateCustomerResult value
     * @return bool
     */
    public function getTerminateCustomerResult()
    {
        return $this->TerminateCustomerResult;
    }
    /**
     * Set TerminateCustomerResult value
     * @param bool $terminateCustomerResult
     * @return \CustomerManagement\StructType\TerminateCustomerResponse
     */
    public function setTerminateCustomerResult($terminateCustomerResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($terminateCustomerResult) && !is_bool($terminateCustomerResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($terminateCustomerResult, true), gettype($terminateCustomerResult)), __LINE__);
        }
        $this->TerminateCustomerResult = $terminateCustomerResult;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \CustomerManagement\StructType\TerminateCustomerResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
